## kf6-kpeople 6.6.0

=== debian/changelog ===
kf6-kpeople (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:07:15 +0100

kf6-kpeople (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:24:02 +0100

kf6-kpeople (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Remove testsuite autopkgtest

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:35:16 +0100
