## kf6-kpeople 6.9.0

=== debian/changelog ===
kf6-kpeople (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:48:22 +0000

kf6-kpeople (6.8.0-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.6.0-2 in Debian unstable.
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 12:14:40 +0000

kf6-kpeople (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:37:46 +0000

kf6-kpeople (6.6.0-2) unstable; urgency=medium

  * Team upload.
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 19:47:20 +0100

kf6-kpeople (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:12:25 +0200

kf6-kpeople (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * CI: update/simplify configuration.
  * Drop the unused ${shlibs:Depends} substvar from libkf6people-data.
  * Stop disabling the build_stamp dh addon: the little saved by that is not
    worth the extra maintenance cost.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Aug 2024 20:58:14 +0200

kf6-kpeople (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:08 +0200

kf6-kpeople (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:43 +0200
