=== debian/control ===
--- 
+++ 
@@ -10,13 +10,14 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6contacts-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
-               libkf6itemviews-dev (>= 6.6.0~),
-               libkf6widgetsaddons-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
+               libkf6contacts-dev (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
+               libkf6itemviews-dev (>= 6.9.0~),
+               libkf6widgetsaddons-dev (>= 6.9.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
@@ -30,7 +31,7 @@
 Package: libkf6people-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: data files for kpeople
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
@@ -48,6 +49,7 @@
 Depends: libkf6people6 (= ${binary:Version}),
          libkf6peoplebackend6 (= ${binary:Version}),
          libkf6peoplewidgets6 (= ${binary:Version}),
+         qml6-module-org-kde-people (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6people-doc (= ${source:Version}),
@@ -126,7 +128,7 @@
 Package: qml6-module-org-kde-people
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: framework providing unified access to contacts aggregated by person
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
