=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
                cmake (>= 3.16~),
                dbus-x11,
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6contacts-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6itemviews-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6contacts-dev (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
+               libkf6itemviews-dev (>= 6.11.0~),
+               libkf6widgetsaddons-dev (>= 6.11.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.6.0~),
