## kf6-kpeople 6.17.0

=== debian/changelog ===
kf6-kpeople (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:17:09 +0100
