=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6contacts-dev (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
-               libkf6itemviews-dev (>= 6.16.0~),
-               libkf6widgetsaddons-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6contacts-dev (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
+               libkf6itemviews-dev (>= 6.17.0~),
+               libkf6widgetsaddons-dev (>= 6.17.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
