## kf6-kpeople 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project (KPeople VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.18.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -20,14 +20,14 @@
 include(ECMGenerateHeaders)
 include(ECMSetupVersion)
 include(ECMAddTests)
-include(ECMAddQch)
 include(CMakePackageConfigHelpers)
 include(ECMGenerateExportHeader)
+include(ECMGenerateQDoc)
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMQmlModule)
 
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui Sql Widgets Qml Quick)
 
 # shall we use DBus?
@@ -48,9 +48,6 @@
 find_package(KF6ItemViews ${KF_DEP_VERSION} CONFIG REQUIRED)
 find_package(KF6Contacts ${KF_DEP_VERSION} CONFIG REQUIRED)
 
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
-
 add_definitions(-DTRANSLATION_DOMAIN=\"kpeople6\")
 
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6People")
@@ -67,7 +64,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.5
-    KF 5.102
+    KF 6.17
 )
 
 add_subdirectory (src)
@@ -76,16 +73,6 @@
 endif()
 if (BUILD_TESTING)
     add_subdirectory(autotests)
-endif()
-
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6People_QCH
-        FILE KF6PeopleQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6PeopleQchTargets.cmake\")")
 endif()
 
 configure_package_config_file(
