=== src/backends/CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
                         Qt6::Gui
 )
 
-target_include_directories (KF6PeopleBackend PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
+target_include_directories (KF6PeopleBackend
                                     INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KPeople>"
 )
 
@@ -64,5 +64,4 @@
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPeople/kpeoplebackend COMPONENT Devel
 )
 
-# make available to ecm_add_qch in parent folder
-set(KPeopleBackend_QCH_SOURCES ${KPeopleBackend_HEADERS} PARENT_SCOPE)
+ecm_generate_qdoc(KF6PeopleBackend kpeoplebackend.qdocconf)
