=== debian/control ===
--- 
+++ 
@@ -1,31 +1,30 @@
 Source: kf6-kpeople
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               dbus-x11,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
+               dbus-x11,
                doxygen,
-               extra-cmake-modules (>= 6.17.0~),
-               libkf6contacts-dev (>= 6.17.0~),
-               libkf6coreaddons-dev (>= 6.17.0~),
-               libkf6i18n-dev (>= 6.17.0~),
-               libkf6itemviews-dev (>= 6.17.0~),
-               libkf6widgetsaddons-dev (>= 6.17.0~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6contacts-dev (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
+               libkf6itemviews-dev (>= 6.18.0~),
+               libkf6widgetsaddons-dev (>= 6.18.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kpeople
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpeople
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpeople
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kpeople
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kpeople.git
 Rules-Requires-Root: no
 
 Package: libkf6people-data
@@ -50,7 +49,7 @@
          libkf6peoplebackend6 (= ${binary:Version}),
          libkf6peoplewidgets6 (= ${binary:Version}),
          qml6-module-org-kde-people (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Recommends: libkf6people-doc (= ${source:Version}),
 Description: development files for kpeople
@@ -128,7 +127,9 @@
 Package: qml6-module-org-kde-people
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: framework providing unified access to contacts aggregated by person
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
